import { ReleaseType } from 'semver';
import { Commit } from './graphql-to-commits';
interface ConventionalCommitsOptions {
    commits: Commit[];
    githubRepoUrl: string;
    host?: string;
    bumpMinorPreMajor?: boolean;
    commitPartial?: string;
    headerPartial?: string;
    mainTemplate?: string;
    changelogSections?: ChangelogSection[];
}
interface ChangelogSection {
    type: string;
    section: string;
    hidden?: boolean;
}
interface ChangelogEntryOptions {
    version: string;
    previousTag?: string;
    currentTag?: string;
}
interface BumpSuggestion {
    releaseType: ReleaseType;
    reason: string;
    level: number;
}
export declare class ConventionalCommits {
    commits: Commit[];
    host: string;
    owner: string;
    repository: string;
    bumpMinorPreMajor?: boolean;
    commitPartial?: string;
    headerPartial?: string;
    mainTemplate?: string;
    changelogSections?: ChangelogSection[];
    constructor(options: ConventionalCommitsOptions);
    suggestBump(version: string): Promise<BumpSuggestion>;
    generateChangelogEntry(options: ChangelogEntryOptions): Promise<string>;
    private guessReleaseType;
    private commitsReadable;
}
export {};
