import { GitHub, OctokitAPIs } from './github';
interface ReleaseResponse {
    major: number;
    minor: number;
    patch: number;
    version: string;
    sha: string;
    html_url: string;
    tag_name: string;
    upload_url: string;
    pr: number;
}
export interface GitHubReleaseOptions {
    label: string;
    repoUrl: string;
    path?: string;
    packageName?: string;
    monorepoTags?: boolean;
    token?: string;
    apiUrl: string;
    proxyKey?: string;
    octokitAPIs?: OctokitAPIs;
    releaseType?: string;
    changelogPath?: string;
}
export declare class GitHubRelease {
    apiUrl: string;
    changelogPath: string;
    gh: GitHub;
    labels: string[];
    repoUrl: string;
    path?: string;
    packageName?: string;
    monorepoTags?: boolean;
    token?: string;
    proxyKey?: string;
    releaseType?: string;
    constructor(options: GitHubReleaseOptions);
    createRelease(): Promise<ReleaseResponse | undefined>;
    addPath(file: string): string;
    private gitHubInstance;
    static extractLatestReleaseNotes(changelogContents: string, version: string): string;
}
export {};
