"use strict";
// Copyright 2019 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SamplesPackageJson = void 0;
const checkpoint_1 = require("../util/checkpoint");
class SamplesPackageJson {
    constructor(options) {
        this.create = false;
        this.path = options.path;
        this.changelogEntry = options.changelogEntry;
        this.version = options.version;
        this.packageName = options.packageName;
    }
    updateContent(content) {
        const parsed = JSON.parse(content);
        if (!parsed.dependencies || !parsed.dependencies[this.packageName]) {
            return content;
        }
        checkpoint_1.checkpoint(`updating ${this.packageName} dependency in ${this.path} from ${parsed.dependencies[this.packageName]} to ^${this.version}`, checkpoint_1.CheckpointType.Success);
        parsed.dependencies[this.packageName] = `^${this.version}`;
        return JSON.stringify(parsed, null, 2) + '\n';
    }
}
exports.SamplesPackageJson = SamplesPackageJson;
//# sourceMappingURL=samples-package-json.js.map